LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-01-2005, 08:34 PM   #1
Chrax
Member
 
Registered: Apr 2004
Distribution: Dapper
Posts: 167

Rep: Reputation: 31
Nvidia


Code:
-bash: /asdf/protar/NVIDIA-Linux-x86-1.0-6111-pkg1.run: /bin/sh: bad interpreter: Permission denied
I'm not much of a gamer, so it hasn't ever really bothered me, but I can't get my NVIDIA drivers to work. When I was using the standard 2.4.26 kernel that came with slack, I could install the drivers, but they always had an error because of the xorg generic nvidia drivers. I never really bothered, but I've decided that if I'm going to have this card, dammit it's going to work.

Now I've upgraded to 2.6.9 a while ago, and today I tried to install the drivers, and I got the above error. Has anyone else had this problem, and what did you do?
 
Old 01-01-2005, 08:40 PM   #2
Caeda
Senior Member
 
Registered: Jul 2003
Location: Indiana
Distribution: Suse 6.0+, Mandrake 5.0-10.0, Redhat 6.0-9.0, Gentoo 1.2+, Gnoppix, Knoppix, Sabayon, Ubuntu 5.04+
Posts: 1,811

Rep: Reputation: 45
Did you set your file permissions so you have permisson to run the file?
 
Old 01-01-2005, 08:47 PM   #3
Chrax
Member
 
Registered: Apr 2004
Distribution: Dapper
Posts: 167

Original Poster
Rep: Reputation: 31
Yes I did. Nonetheless I got it working. Apparently running
Code:
/asdf/protar/NVIDIA-Linux-x86-1.0-6111-pkg1.run
is not equivalent to
Code:
sh /asdf/protar/NVIDIA-Linux-x86-1.0-6111-pkg1.run
 
Old 01-02-2005, 05:07 AM   #4
slackie1000
Senior Member
 
Registered: Dec 2003
Location: Brasil
Distribution: Arch
Posts: 1,037

Rep: Reputation: 46
Quote:
Originally posted by Chrax
Yes I did. Nonetheless I got it working. Apparently running
Code:
/asdf/protar/NVIDIA-Linux-x86-1.0-6111-pkg1.run
is not equivalent to
Code:
sh /asdf/protar/NVIDIA-Linux-x86-1.0-6111-pkg1.run
hi there,

indeed. this depends of your shell: ksh,tcsh,bash,blahblahsh, xxxxsh, etc...

regards

slackie1000
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
help editing xf86config for nvidia geforce mx440 after installing nvidia driver linguist Linux - Newbie 11 06-13-2006 06:31 AM
Can't build nvidia.ko on MEPIS3.3. Read /usr.../nvidia-kernelsource/README.debian digorykirke Linux - Software 0 03-16-2005 02:10 AM
Nvidia fx5500 mandrake 10.1 problem:Nvidia in /etc/modprobe.preload doesn't work eikeland Linux - Hardware 5 01-17-2005 02:09 PM
Trouble with new nVidia driver installation...no nvidia logo and KDE no start up mdb Linux - Software 8 08-18-2004 09:45 AM
kernel 2.6.3--bk8 and NVIDIA-Linux-x86-1.0-5336 video driver from Nvidia zdenkod Linux - Hardware 2 03-09-2004 05:38 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:28 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration